<template>
  <div class="card">
    <div class="card-body container">
      <div class="row">
        <div class="col-md-auto">
          <score-popover
            class="btn btn-outline-primary mb-2 score"
            :journal="journal">
            <div>Score:<br/>{{ score_precision(journal.score.value) }}</div>
            <svg width="15" height="15" version="1.1" viewBox="0 0 26.458 26.458" xmlns="http://www.w3.org/2000/svg">
              <path transform="matrix(.45743 0 0 .45743 -15.582 -42.067)" d="m63.018 141.95-24.043-41.644h24.043 24.043l-12.022 20.822z" fill="#0d6efd" stroke-width=".26458"/>
            </svg>
          </score-popover>
        </div>
        <div class="col">
          <div class="relative">
            <h5 class="card-title">
              <router-link class="stretched-link" :to="{ name: 'Journal', params: { id: journal.id }}">{{ journal.title }}</router-link>
              <journal-eligibility-badge class="ms-2 mb-1" :journal="journal"></journal-eligibility-badge>
            </h5>
            <p class="card-text">{{ $t('general.publisher') }}: {{ journal.publisher_name }}</p>
            <p class="card-text">Keywords: {{ array_to_string(journal.keywords) }}</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import ScorePopover from '@/components/ScorePopover.vue'
import JournalEligibilityBadge from './JournalEligibilityBadge.vue'
import helper from '../helper'

export default {
  name: 'SearchResultListEntry',
  components: { JournalEligibilityBadge, ScorePopover },
  mixins: [helper],
  props: {
    journal: {
      type: Object,
      required: true
    }
  }
}
</script>

<style scoped>
.relative {
  /* limit the stretched link so that it does not cover the score button */
  position: relative;
}
.score {
  width: 100%;
}
.score:hover {
  filter: brightness(0.95);
}
</style>
